Alokai

SapccApiGetFutureStocksRequest

Request parameters for getFutureStocks operation in SapccApi. SapccApiGetFutureStocksRequest

interface SapccApiGetFutureStocksRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly productCode: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetFutureStocks
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetFutureStocks
productCodeRequiredstringProduct identifier. {string} SapccApiGetFutureStocks
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetFutureStocks

On this page